Bug 484628 - Many warnings 'body-start() called from outside an fo:list-item'
Many warnings 'body-start() called from outside an fo:list-item'
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 22:37 EST by Jeff Fearn
Modified: 2010-11-23 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 00:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2009-02-08 22:37:27 EST
Description of problem:
When ever you build a PDF you get many warnings about 'body-start() called from outside an fo:list-item'

Version-Release number of selected component (if applicable):
0.42

How reproducible:
Always

Steps to Reproduce:
1. get a book with a title tag somewhere
2. build PDF
  
Actual results:
PDF builds but the above error is printed all over the place.

Expected results:
SHUT UP!

Additional info:
Bug introduced fixing #466309, make section.title.properties check for itemizedlist and use old method if not detected.
Comment 1 Jeff Fearn 2009-02-09 00:06:54 EST
Added check to attribute-set section.title.properties in pdf.xsl to use body-start if in an itemizedlist, else it will use title.margin.left
Comment 2 Fedora Update System 2009-03-18 19:57:00 EDT
publican-fedora-0.18-0.fc10,publican-0.44-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.18-0.fc10,publican-0.44-0.fc10
Comment 3 Fedora Update System 2009-03-26 10:53:07 EDT
publican-fedora-0.18-0.fc10, publican-0.44-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.